cURL
curl --request POST \
--url https://{portalApiUrl}/product_access/create \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "user@example.com",
"product_id": 5693,
"registration_id": 169116,
"source": "api"
}
'import requests
url = "https://{portalApiUrl}/product_access/create"
payload = {
"email": "user@example.com",
"product_id": 5693,
"registration_id": 169116,
"source": "api"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'user@example.com',
product_id: 5693,
registration_id: 169116,
source: 'api'
})
};
fetch('https://{portalApiUrl}/product_access/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"result": {
"product_access_id": 123,
"product_access_product_id": 123,
"product_access_user_id": 123,
"product_access_certificate": "<string>",
"product_access_created_date": "2023-11-07T05:31:56Z",
"product_access_updated_date": "2023-11-07T05:31:56Z",
"product_access_expired_date": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>"
}Product Access
Create product_access
Create a product_access for a user
POST
/
product_access
/
create
cURL
Authorizations
Authentication token obtained from POST /token
Body
application/json
ID of the product to grant access to
Email of the user to grant access to
External identifier for the access record
Associated invoice ID
Associated registration ID
Source system that triggered the access creation
⌘I